org.bdgenomics.adam.rdd.variant

# VariantContextDataset

###
Related Docs: class VariantContextDataset | package variant

#### object VariantContextDataset extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VariantContextDataset
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(ds: Dataset[VariantContext], sequences: SequenceDictionary, samples: Iterable[Sample], headerLines: Seq[VCFHeaderLine]): VariantContextDataset

   Builds a VariantContextDataset without a partition map.

   Builds a VariantContextDataset without a partition map.

   ds

     The underlying VariantContext dataset.

   sequences

     The sequence dictionary for the genomic dataset.

   samples

     The samples for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new VariantContextDataset.

5. #### def apply(ds: Dataset[VariantContext]): VariantContextDataset

   Builds a VariantContextDataset without a partition map.

   Builds a VariantContextDataset without a partition map.

   ds

     The underlying VariantContext dataset.

   returns

     A new VariantContextDataset.

6. #### def apply(rdd: RDD[VariantContext], sequences: SequenceDictionary, samples: Iterable[Sample]): VariantContextDataset

7. #### def apply(rdd: RDD[VariantContext], sequences: SequenceDictionary, samples: Iterable[Sample], headerLines: Seq[VCFHeaderLine]): VariantContextDataset

   Builds a VariantContextDataset without a partition map.

   Builds a VariantContextDataset without a partition map.

   rdd

     The underlying VariantContext RDD.

   sequences

     The sequence dictionary for the genomic dataset.

   samples

     The samples for the genomic dataset.

   headerLines

     The header lines for the genomic dataset.

   returns

     A new VariantContextDataset.

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

12. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

13. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped